package com.bytesw.bytebot;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.ImportResource;

@SpringBootApplication(scanBasePackages = "com.bytesw")
@ImportResource("classpath:application-config.xml")
@EnableCaching
@EnableAspectJAutoProxy
@EnableFeignClients(basePackages = "com.bytesw")
public class BytebotApplication {

	public static void main(String[] args) {
		SpringApplication.run(BytebotApplication.class, args);
	}

}
